package me.km.blocks;

import net.minecraft.block.Block;
import net.minecraft.block.BlockState;
import net.minecraftforge.common.ToolType;

public class BlockOre extends Block {
    private final int harvestLevel;

    public BlockOre(Properties properties, int harvestLevel) {
        super(properties);
        this.harvestLevel = harvestLevel;
    }

    @Override
    public int getHarvestLevel(BlockState state) {
        return harvestLevel;
    }

    @Override
    public ToolType getHarvestTool(BlockState state) {
        return ToolType.PICKAXE;
    }
}
